#!/bin/sh
if [ "" = "$1" ] ; then 
   echo "Specify target path"
   exit
fi

currdir=`pwd`
patchdir=`find $0 -printf %h`

cd "$1"
for d in apps firmware tools ; 
do
   find $patchdir/$d -type f -exec cp -f {} ./$d \;
done

patch -p0 < "$patchdir/patch.diff"

cd $currdir
