/**
* Copyright (C) 2002 Alex Gitelman
*
*/
#ifndef __AJF__
#define __AJF__

#define MAGIC1 0xBD
#define MAGIC2 0xFC
#define CODE_PAGE_OFFSET 2 /* 1 byte TODO: unused now */
#define FONT_NAME_OFFSET 3
#define FONT_NAME_LEN 32
#define MAX_WIDTH_OFFSET (FONT_NAME_OFFSET + FONT_NAME_LEN)  /* 2 byte */
#define HEIGHT_OFFSET (MAX_WIDTH_OFFSET + 2)      /* 2 byte */
#define ASCENT_OFFSET (HEIGHT_OFFSET+2)           /* 2 byte ascent (baseline) height*/
#define FIRST_CHAR_OFFSET (HEIGHT_OFFSET+2)       /* 2 bytes first character of font*/
#define SIZE_OFFSET (FIRST_CHAR_OFFSET+2)		  /* 2 bytes size of font (# encodings)*/
#define CHARS_OFFSET SIZE_OFFSET+2

/*
short ascent;              
short firstchar;            
short size;                   

*/


unsigned char* ajf_read_font(const char* fname);
void ajf_get_charbuf(unsigned char c, unsigned char* font, unsigned char *src, int *width, int *height);
void ajf_get_charsize(unsigned char c, unsigned char* font, int *width, int *height);
int ajf_get_fontheight(unsigned char* font);
extern char _font_error_msg[];


#endif
